Bug 1340235 - [abrt] blivet-gui: AttributeError: 'str' object has no attribute 'success'
Summary: [abrt] blivet-gui: AttributeError: 'str' object has no attribute 'success'
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: blivet-gui
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vojtech Trefny
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:15290666685f7831499f90dcd64...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-26 19:22 UTC by Martin Kolman
Modified: 2016-12-20 20:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 20:41:57 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (931 bytes, text/plain)
2016-05-26 19:22 UTC, Martin Kolman
no flags Details
File: blivet-gui-com.log (518.63 KB, text/plain)
2016-05-26 19:22 UTC, Martin Kolman
no flags Details
File: blivet-gui-tb (751.99 KB, text/plain)
2016-05-26 19:22 UTC, Martin Kolman
no flags Details
File: blivet.log (198.63 KB, text/plain)
2016-05-26 19:22 UTC, Martin Kolman
no flags Details
File: description (1018 bytes, text/plain)
2016-05-26 19:22 UTC, Martin Kolman
no flags Details
File: environ (1.80 KB, text/plain)
2016-05-26 19:22 UTC, Martin Kolman
no flags Details
File: program.log (33.40 KB, text/plain)
2016-05-26 19:22 UTC, Martin Kolman
no flags Details

Description Martin Kolman 2016-05-26 19:22:37 UTC
Description of problem:
Tried to create a pv folowed by ~250 MB of free space in free space at the beginning of a disk with 3 primary partitions.

PS.: Trochu ti to spadlo. ;-)

Version-Release number of selected component:
blivet-gui-1.0.6-1.fc23.noarch

Additional info:
reporter:       libreport-2.6.4
blivet-gui.log: 
cmdline:        /usr/bin/python3  /usr/bin/blivet-gui
executable:     /usr/bin/blivet-gui
hashmarkername: blivet-gui
kernel:         4.4.8-300.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           Python
version:        23

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/blivetgui/blivetgui.py", line 592, in apply_event
    self.perform_actions(processing_dialog)
  File "/usr/lib/python3.4/site-packages/blivetgui/blivetgui.py", line 543, in perform_actions
    self.list_devices.update_devices_view()
  File "/usr/lib/python3.4/site-packages/blivetgui/list_devices.py", line 146, in update_devices_view
    self.load_devices()
  File "/usr/lib/python3.4/site-packages/blivetgui/list_devices.py", line 126, in load_devices
    devices += self.load_disks()
  File "/usr/lib/python3.4/site-packages/blivetgui/list_devices.py", line 78, in load_disks
    disks = self.blivet_gui.client.remote_call("get_disks")
  File "/usr/lib/python3.4/site-packages/blivetgui/communication/client.py", line 158, in remote_call
    if not ret.success: # pylint: disable=maybe-no-member
AttributeError: 'str' object has no attribute 'success'

Comment 1 Martin Kolman 2016-05-26 19:22:41 UTC
Created attachment 1162254 [details]
File: backtrace

Comment 2 Martin Kolman 2016-05-26 19:22:46 UTC
Created attachment 1162255 [details]
File: blivet-gui-com.log

Comment 3 Martin Kolman 2016-05-26 19:22:51 UTC
Created attachment 1162256 [details]
File: blivet-gui-tb

Comment 4 Martin Kolman 2016-05-26 19:22:53 UTC
Created attachment 1162257 [details]
File: blivet.log

Comment 5 Martin Kolman 2016-05-26 19:22:55 UTC
Created attachment 1162258 [details]
File: description

Comment 6 Martin Kolman 2016-05-26 19:22:56 UTC
Created attachment 1162259 [details]
File: environ

Comment 7 Martin Kolman 2016-05-26 19:22:58 UTC
Created attachment 1162260 [details]
File: program.log

Comment 8 Fedora End Of Life 2016-11-25 09:08:39 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2016-12-20 20:41:57 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.